JQuery Loader

Иногда случается, что модификации, использующие jQuery, не обновляются вовремя и подгружают устаревшие версии скриптов, что приводит к конфликтам с другими модификациями, основанными на поздних версиях jQuery/jQuery UI. Рассматриваемая модификация помогает подключать свежие версии нужных скриптов, не переустанавливая проблемные дополнения.

Настройки JQuery Loader

Настройки

Настройки модов → Загрузчик JQuery.

Особенности

  • Выбор версии и расположения подключаемых скриптов.
  • Подключение своих скриптов (закидываем в папку /Themes/default/scripts и указываем путь в поле «Своя ссылка...» в настройках мода).
  • Выбор используемой темы оформления jQuery UI.

При желании нужные версии скриптов для загрузки с CDN прописываются в файле Mod-JQueryLoader.php, в блоке констант:

const JQuery1 = '1.12.4';
const JQuery2 = '2.2.4';
const JQuery3 = '3.1.1';
const JQueryUI = '1.12.1';

В SMF 2.1 этот мод не нужен, так как подобная функциональность уже присутствует в настройках движка.

Скачать с GitHub

Плюсануть
Поделиться
Класснуть